Skip to main content

Submitted feedback of the given user

GET/v2/users/self/spotlights/{spotlightId}
API version
v2
Request method
GET
Operation ID
user-get-spotlight-info

Request​

  • spotlightIdstringrequired

Responses​

Format
application/json
Description

Feedback submitted by the user.

  • acknowledgedbooleanrequired
  • decisionstring (one of: keep, kill, ignore)
  • spotlightIdstringrequired
  • usedbooleanrequired
Content-Type: application/json

{
"acknowledged": true,
"decision": "keep",
"spotlightId": "string",
"used": true
}
{
"properties": {
"acknowledged": {
"type": "boolean"
},
"decision": {
"enum": [
"keep",
"kill",
"ignore"
],
"type": "string"
},
"spotlightId": {
"type": "string"
},
"used": {
"type": "boolean"
}
},
"required": [
"spotlightId",
"used",
"acknowledged"
],
"type": "object"
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/users/self/spotlights/string
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.user.getSpotlightInfo({
"spotlightId": "string"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\User\GetSpotlightInfo\GetSpotlightInfoRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new GetSpotlightInfoRequest(
spotlightId: "string"
));
$response = $client->user()->getSpotlightInfo($request);

var_dump($response->getBody();

On this page